Jailbreaking 2.1

Discussion in 'iPod touch Hacks' started by SimmIsengard, Oct 5, 2008.

  1. SimmIsengard macrumors newbie

    Joined:
    Feb 1, 2008
    #1
    I just wanted to make sure, Jailbreaking 2.1. now you have to have your Touch already upgraded to 2.1 am I correct?
     
  2. Macgic macrumors 6502

    Joined:
    Oct 23, 2007
    #2
    ya i have a iphone but pretty sure its the same story. its quick and easy. just to make sure tho do you have the newest touch? if so i dont think you can JB that yet
     
  3. SimmIsengard thread starter macrumors newbie

    Joined:
    Feb 1, 2008
    #3
    Yep I have a 1st gen Ipod Touch, but I dont have 2.1 on it yet, just wanted to know if in order to jailbreak 2.1 you already need to have it installed on the Touch. Because I used the newest QuickPwn and it was asking for the 2.0.2 firmware. I am assuming that if I update via Itunes to 2.1 then when firing up Quickpwn it will ask for the 2.1 firmware.

    I just dont want to update to 2.1 and not be able to Jailbreak it. I hate to put on my music all over again. :D
     
  4. andybno1 macrumors 68040

    andybno1

    Joined:
    Nov 6, 2007
    Location:
    Liverpool, UK
    #4
    you will need to restore to a clean 2.1 which means you will loose all data on the touch but if you sync the ipod then use quickpwn 2.1 then you will not loose any music/video/app store apps
     

Share This Page